| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Tools
Tools.AutoDoc
Tools.AutoDoc.PikeObjects
Tools.AutoDoc.PikeObjects.Documentation

# Class Tools.AutoDoc.PikeObjects.Documentation

Description

  The base class for documentation strings.

See also

  DocGroup

syntax

  `string|void Tools.AutoDoc.PikeObjects.Documentation.text`
  `string|void Tools.AutoDoc.PikeObjects.Documentation.xml`
  `SourcePosition|void Tools.AutoDoc.PikeObjects.Documentation.position` `void Tools.AutoDoc.PikeObjects.Documentation(string|void text, string|void xml, SourcePosition|void position)`